
SovNotification.init() ;

SovWidgets.setDateRange();
SovWidgets.setAutoCompleteField();

/* Tooltip */
$('[data-toggle="tooltip"]').tooltip();

/* Select2 */
if ($('.select2, select.form-control').length) {

    $('form .form-widget>select.form-control, .select2').each(function (i, elm) {
        if (!$(this).hasClass('disable-select2')) {
            SovWidgets.setSelect2($(elm));
        }
    });

    $('form select.form-control').each(function (i, elm) {
        if (!$(this).hasClass('disable-select2')) {
            SovWidgets.setSelect2($(elm));
        }
    });
}

$('.action-delete').on('click', function (e) {
    e.preventDefault();
    const formAction = $(this).attr('formaction');

    $('#modal-delete').modal({backdrop: true, keyboard: true})
        .off('click', '#modal-delete-button')
        .on('click', '#modal-delete-button', function () {
            let deleteForm = $('#delete-form');
            deleteForm.attr('action', formAction);
            deleteForm.submit();
        });
});
